Update theme settings
Update the tenant's theme-level settings. Requires draft set to true and an ifUpdatedAt timestamp. Rate limit: 20 requests per minute per API key.
Authorization
apiKey Authorization<token>
Use format: users API-Key YOUR_API_KEY
In: header
Path Parameters
version*"2026-02"
API version
Default
"2026-02"Value in
- "2026-02"
tenant*string
Tenant slug
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/2026-02/string/theme/settings" \ -H "Content-Type: application/json" \ -d '{ "draft": true, "ifUpdatedAt": "2019-08-24T14:15:22Z" }'{ "versionTarget": "draft", "set": [ "string" ], "unset": [ "string" ], "document": {}}